<form id="formfinorder" method="post" action=""><table width="100%" border="0" align="center" cellpadding="3">
		
			 
                                 <tr>
                                 	<td align="left" valign="top">个人信息
<?php 
if (isset($_POST['CompanyName_info'])) {
$updateSQL = sprintf("UPDATE Customers SET CompanyName=%s,Address=%s,City=%s,PostalCode=%s,Phone=%s,wechat=%s,username=%s,password=%s,ShipType=%s,PaymentType=%s WHERE CustomerID=%s",
  					   GetSQLValueStringGBK($_POST['CompanyName_info'], "text"),
  					   GetSQLValueStringGBK($_POST['Address_info'], "text"),
  					   GetSQLValueStringGBK($_POST['City_info'], "text"),
  					   GetSQLValueStringGBK($_POST['PostalCode_info'], "text"),
  					   GetSQLValueStringGBK($_POST['Phone_info'], "text"),
  					   GetSQLValueStringGBK($_POST['wechat_info'], "text"),
  					   GetSQLValueStringGBK($_POST['username3330_info'], "text"),
  					   GetSQLValueStringGBK($_POST['password3330_info'], "text"),
  					   GetSQLValueStringGBK($_POST['ShipType_info'], "text"),
  					   GetSQLValueStringGBK($_POST['PaymentType_info'], "text"),
                     GetSQLValueStringGBK($GUID, "text")
					   );
//echo $updateSQL;
		$orders->exec($updateSQL);
		echo "您的设置已经保存。</h>";
}
		
	$SQlStr="SELECT  top 1 username,password,CompanyName,Address,City,PostalCode,Phone,wechat,ShipType,PaymentType  FROM Customers  where CustomerID='".$GUID."'  ";
	//echo $SQlStr;
 			 $values = $orders->query($SQlStr);
if (is_iterable($values)){
  foreach ($values as $pSQlStr1)
	{ 
		$pSQlStr1['CompanyName']=loadFromMssql($pSQlStr1['CompanyName']);
		$pSQlStr1['Address']=loadFromMssql($pSQlStr1['Address']);
	}
			//return $theValue;
} 
?>
<p>ID：
  <label for="CompanyName"></label>
											<input name="username3330_info" type="hidden"   id="username3330_info" value="<?php echo $pSQlStr1['username'];?>"  /><input name="username33330_info" type="text" disabled="disabled" id="username33330_info" value="<?php echo $pSQlStr1['username'];?>"   placeholder="<?php echo $pSQlStr1['username'];?>" readonly="readonly"/>
										</p>
<p>密码：
											<label for="password3330_info"></label>
											<input name="password3330_info" type="password" id="password3330_info" value="<?php echo $pSQlStr1['password'];?>" />
										</p><p>姓名：
											<label for="CompanyName_info"></label>
											<input name="CompanyName_info" type="text" id="CompanyName_info" value="<?php echo $pSQlStr1['CompanyName'];?>"  placeholder="必填"/>
										</p>
										<p>地址：
											<label for="Address_info"></label>
											<input name="Address_info" type="text" id="Address_info" value="<?php echo $pSQlStr1['Address'];?>"   placeholder="必填"/>
										</p>
										<p>城市：
											<label for="City_info"></label>
											<input name="City_info" type="text" id="City_info" value="<?php echo $pSQlStr1['City'];?>"  placeholder="必填"/>
										</p>
										<p>邮编：
											<label for="PostalCode_info"></label>
											<input name="PostalCode_info" type="text" id="PostalCode_info" value="<?php echo $pSQlStr1['PostalCode'];?>" />
										</p>
										<p>电话：
											<label for="Phone_info"></label>
											<input name="Phone_info" type="tel"  id="Phone_info" value="<?php echo $pSQlStr1['Phone'];?>"   placeholder="必填"/>
</p>
										<p>微信：
											<label for="wechat_info"></label>
											<input name="wechat_info" type="text" id="wechat_info" value="<?php echo $pSQlStr1['wechat'];?>" />
										</p>
<?php
$ShipTypeFin=$pSQlStr1['ShipType'];$PaymentTypeFin=$pSQlStr1['PaymentType'];
	switch ($pSQlStr1['ShipType']) {
			case "takeaway":
				$ShipTypeInfo='外卖';
				break;
			case "inside":
				$ShipTypeInfo='店内';
				break;
			case "takemyself":
				$ShipTypeInfo='自提';
				break;
			default:
			   $ShipTypeInfo='外卖';
		}
		switch ($pSQlStr1['PaymentType']) {
			case "cash":
				$PaymentTypeInfo='现金';
				break;
			case "vor":
				$PaymentTypeInfo='饭票';
				break;
			case "other":
				$PaymentTypeInfo='其他';
				break;
			default:
			   $PaymentTypeInfo='现金';
		}   
?>
<fieldset data-role="controlgroup" data-type="horizontal" <?php if ($CFG_statedisabled==1) echo 'class="ui-state-disabled"';?>  data-mini="true">
      <legend>
      
      默认类型：</legend>
        <label for="takeaway">外卖</label>
      <input name="ShipType_info" type="radio" id="takeaway" value="takeaway" <?php if ($ShipTypeFin=='takeaway' || $ShipTypeFin=='') echo 'checked="checked"';?> />
         <label for="inside">店内</label>
      <input name="ShipType_info" type="radio" id="inside" value="inside" <?php if ($ShipTypeFin=='inside') echo 'checked="checked"';?>/>
         <label for="takemyself">自提</label>
       <input name="ShipType_info" type="radio" id="takemyself" value="takemyself" <?php if ($ShipTypeFin=='takemyself') echo 'checked="checked"';?>/>
      </fieldset>

  <fieldset data-role="controlgroup" data-type="horizontal" <?php if ($CFG_statedisabled==1) echo 'class="ui-state-disabled"';?>  data-mini="true">
        <legend>默认支付方式：</legend>
	<label for="cash">现金</label>
	<input name="PaymentType_info" type="radio" id="cash" value="cash" <?php if ($PaymentTypeFin=='cash'  || $PaymentTypeFin=='') echo 'checked="checked"';?> />
	<label for="vor">饭票</label>
	<input name="PaymentType_info" type="radio" id="vor" value="vor"  <?php if ($PaymentTypeFin=='vor') echo 'checked="checked"';?>/>
	<label for="other">其他</label>
	<input name="PaymentType_info" type="radio" id="other" value="other" <?php if ($PaymentTypeFin=='other') echo 'checked="checked"';?>/>

      </fieldset>									
										<p>
</p>
										
                                 	</td>
   	</tr>
                                 <tr>
                                 <td align="center">
                                 	<?php //if (!empty($_REQUEST[wechat])) echo '  <input type="hidden" name="wechat" id="wechat" value="'.$_REQUEST[wechat].'"/>'; ?>
                                 		<?php 	if (!empty($OrderID))	echo '  <input type="hidden" name="OrderID" id="OrderID" value="'.$OrderID.'"/><input type="hidden" name="prnOrderID" id="prnOrderID" value="'.$OrderID.'"/>';?><input type="hidden" name="showMenu" value="info"/>
								 	<input type="submit" data-inline="false" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-icon-check ui-btn-icon-left ui-btn-a"  value="保存">
                                 </td>
                          </tr> 
                         
                          
                        </table> </form>